STRSPN(3)

NAME
strspn - span a string

LIBRARY
libc

SYNOPSIS
#include <string.h>
size_t
strspn(const char *s, const char *charset);

DESCRIPTION
The strspn() function spans the initial part of the null-terminated string s as long as the characters from s occur in string charset.

RETURN VALUES
The strspn() function returns the number of characters spanned.

SEE ALSO
index(3), memchr(3), rindex(3), strchr(3), strcspn(3), strpbrk(3), strrchr(3), strsep(3), strstr(3), strtok(3)

STANDARDS
The strspn() function conforms to ansiC.